from fastapi import FastAPI
from fastapi.middleware.cors import CORSMiddleware
from settings import Settings
import os
settings = Settings(_env_file=os.getenv("ENV", ".env"))

app = FastAPI()
app.add_middleware(
    CORSMiddleware,
    allow_origins=["*"],
    allow_credentials=True,
    allow_methods=["*"],
    allow_headers=["*"],
)

@app.get("/")
async def get_greeting():
    return "hello"


if __name__ == "__main__":
    import uvicorn 
    uvicorn.run(
        app,
        host = settings.uvicorn.host,
        port = settings.uvicorn.port,
        reload= settings.uvicorn.reload
    )