from pydantic_settings import BaseSettings
from pydantic import BaseModel



class UvicornSettings(BaseModel):
    host: str = "0.0.0.0"
    port: int = 8000
    reload: bool = True

class DatabaseSettings(BaseModel):
    url: str = "aiosqlite:///easy_db.db"
    
class Settings(BaseSettings):
    database: DatabaseSettings = DatabaseSettings()
    uvicorn: UvicornSettings = UvicornSettings()
    class Config:
        env_nested_delimiter = '__'


